# Uses of Class
org.eclipse.emf.cdo.lm.StreamSpec

Packages that use StreamSpec
Package
Description
org.eclipse.emf.cdo.lm.client
Client concepts for dealing with CDO Lifecycle Management systems and assemblies.

## Uses of StreamSpec in org.eclipse.emf.cdo.lm.client

Methods in org.eclipse.emf.cdo.lm.client that return StreamSpec
Modifier and Type
Method
Description
`StreamSpec`
LMImporter.ImportResolution.ModuleInfo.`getStreamSpec()`
Methods in org.eclipse.emf.cdo.lm.client with parameters of type StreamSpec
Modifier and Type
Method
Description
`Module`
ISystemDescriptor.`createModule(String name, ModuleType type, StreamSpec streamSpec, IProgressMonitor monitor)`
`Module`
ISystemDescriptor.`createModule(String name, StreamSpec streamSpec, IProgressMonitor monitor)`
`Stream`
ISystemDescriptor.`createStream(Module module, Drop base, StreamSpec streamSpec, IProgressMonitor monitor)`
`void`
LMImporter.ImportResolution.ModuleInfo.`setStreamSpec(StreamSpec streamSpec)`